module HCSR04_RCWL1601_test();

	reg clk;
	reg rst_n;
	reg echo;
	wire trig;
	wire [15:0] data;

	//----Code starts here: integrated by Robei-----
	localparam P_40KHz_CNT = 416;
	
	reg [15:0] r_cnt;
	
	
	initial begin
			clk = 'd0;
			rst_n = 'd0;
			echo = 'd0;
			#20;
			rst_n = 'd1;
			#200;
			@(negedge trig) echo = 'd1;
			#20000;
			echo = 'd0;
			#40000;
			$finish;
	end
	
	always begin
			#1;
			clk <= ~clk;
	end
	
	
	
	
	
	
	
	initial begin
		$dumpfile ("F:/Robei_competition_common_ip/sensor_type/sonic_HCSR04_RCWL_1601_drive/HCSR04_RCWL1601_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	HCSR04_RCWL1601 HCSR04_RCWL16011(
		.clk(clk),
		.rst_n(rst_n),
		.echo(echo),
		.trig(trig),
		.data(data));

endmodule    //HCSR04_RCWL1601_test

